package relations

import (
	"git.sxidc.com/go-framework/baize/framework/binding"
)

// Simple Bind参数
type Simple struct {
	// schema
	Schema string

	// 鉴权中间件
	AuthMiddleware binding.Middleware
}

func (simple *Simple) Bind(binder *binding.Binder) {
	(&SimplePermissionGroupAndPermission{Schema: simple.Schema, AuthMiddleware: simple.AuthMiddleware}).Bind(binder)
	(&SimpleRoleAndPermission{Schema: simple.Schema, AuthMiddleware: simple.AuthMiddleware}).Bind(binder)
	(&SimpleUserAndRole{Schema: simple.Schema, AuthMiddleware: simple.AuthMiddleware}).Bind(binder)
}
