package user

import (
	"git.sxidc.com/go-framework/baize/framework/core/application"
)

type Info struct {
	application.InfoIDField
	UserName      string `json:"userName" sqlresult:"column:user_name"`
	Name          string `json:"name" sqlresult:"column:name"`
	Phone         string `json:"phone" sqlresult:"column:phone"`
	Email         string `json:"email" sqlresult:"column:email"`
	LastLoginTime string `json:"lastLoginTime" sqlresult:"column:last_login_time"`
	application.InfoTimeFields
}

func (info *Info) GetID() string {
	return info.ID
}

func (info *Info) GetUserName() string {
	return info.UserName
}

func (info *Info) GetName() string {
	return info.Name
}
