package rule

import "git.sxidc.com/go-framework/baize/framework/core/api/request"

type (
	AddQueryRuleJsonBody struct {
		Scope      string `json:"scope" binding:"required" assign:"toField:Scope"`
		DomainName string `json:"domainName" binding:"required" assign:"toField:DomainName"`
		Rule       string `json:"rule" binding:"required" assign:"toField:Rule"`
	}

	RemoveQueryRuleQueryParams struct {
		request.IDQueryParam
	}

	GetQueryRulesQueryParams struct {
		Scope      string `json:"scope" assign:"toField:Scope"`
		DomainName string `json:"domainName" assign:"toField:DomainName"`
		PageNo     int    `json:"pageNo"`
		PageSize   int    `json:"pageSize"`
	}

	GetEnabledQueryRuleQueryParams struct {
		Scope      string `json:"scope" binding:"required" assign:"toField:Scope"`
		DomainName string `json:"domainName" binding:"required" assign:"toField:DomainName"`
	}

	EnableQueryRuleJsonBody struct {
		request.IDJsonBody
	}

	DisableQueryRuleJsonBody struct {
		request.IDJsonBody
	}
)
